Twilio Anypoint Connector Demo - SMS CRUD
=================================================================

## Introduction

The current demo application provides a workflow to invoke Twilio API operations for Send message, Delete message, Get message list and Get message.

## Prerequisites

* Java 7
* Anypoint Studio 6.x
* Mule Runtime 3.8.x EE or higher
* DataWeave
* Access to a Twilio account

## Import the project

* Go to **File > Import**
* Select **Anypoint Studio Project from External Location** (under the parent folder "Anypoint Studio")
* Provide the root **path to the demo** project folder.
* Select **Mule Runtime (3.8.x EE)**.
* Click **Finish**.
* Set credentials inside the file `src/main/app/mule-app.properties`.
    ```
    config.username=
    config.password=
    config.accountSid=
    config.apiUrl=
    ```

* Open the **Global Element Configuration**.

    ![Global Element](images/twilio-config.png)

* Click the **Test Connection** button to ensure there is connectivity with the sandbox. A successful message should pop-up.

* Open a browser and access the URL **http://localhost:8081/**. You should see the application deployed.

## Run the demo

### Send Message

   ![Send Message](images/send-message.png)

* Ensure **Body**, **From**, **To** filled.
* Click the button Send Message and wait a few moments to finish processing.
* You should see the alert box with ID.

### Get Message

* Click the button Get Message and wait a few moments to finish processing.
* You should see the alert box with response data.

### Get Message List

* Click the button Get Message List and wait a few moments to finish processing.

### Delete Message

* Click the button Delete Message and wait a few moments to finish processing.

## See more

* For additional technical information on the Twilio Connector, visit our [technical reference documentation](http://mulesoft.github.io/twilio-connector) or refer to the [Twilio Documentation Site](https://docs.mulesoft.com/mule-user-guide/v/3.9/twilio-connector).
* For more information on Twilio, go to the [Twilio REST API site](https://www.twilio.com/docs/api/rest).